package com.iformall.enums;


/**
 * @author gongbiao
 */
public enum EnumFloatingLayerStatus {

    STATUS_THROW_IN(0, "已上线"),
    STATUS_TAKE_OFFF(1, "已下线"),;

    public static EnumFloatingLayerStatus getEnum(Integer code) {
        for (EnumFloatingLayerStatus value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumFloatingLayerStatus(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
